
var muhSmall = 
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%&&%%%&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@&&@@@&&%%##(/***////**/(&@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@@&&&@@&@@@@&&@&&&&&&&&&&&%%##(/*,,,,.    ..,/@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&%&%&%%%%&&@@@@@@@@@@@@@@@@@@@@@@@@&&@@&@@@@@&&&&######(((((/*,,..         .%@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@&&&&&&%%%%%%%%%%&%&&&@&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@&&%####((((((((//*,..            ,(@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&%%%&&%%%%###%%%&%%&&&&&&&&&@@@@@@@@@@@&%&%%%&%((((((//*/*/**,,.....              .%@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&@&&@@@&&&&&&&&%%%%%#####(((((((###(######%%&&&@@@@&&%%%%%#/****,*,,......                        .%&@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&@&&&&&&%%%#####((((((/////////((/((((((###%%&%%%#(/****,..,...                               ,(#@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&&&&&&%%%%%%####(((///////******,****,****////*///*,.,........              ..,(%%##%#*.         ,*&@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&&%%&%%&%%%######(((///*,,,,,,,,,,.....,,,.,,,,,,......                    ,/%&@@&&%%%&&%#((*,,      .@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&%%&%%%%%%%%%%####(((/////////*,,,,........................                 ..,(%&@@@@@@@&&/,.             #@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&%%%%%%%%%%%%%###((/////*****,,,............................           ..,*/%@@@@@@@@@@&&%(,                 *@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&@@@@@@@&&&%%#((////**,,,,.......... ....  ....................,,,/*,#%&@@@@@@@@@@@&(,.                     %@@@@@@@(/#% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&@@@@@@@@@@@@@@@@@&%%##(//**,,,,........ ........................,,//(#%#%&@@@@@@@@@@%#(,..                      #@@@@@@@ .(/ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@&&&%%#((/***,,.........................,,*((###&%%@@@@@@@@@@&&&@@@@@@@&@&&%(*.            ,@@@@@@/  ,, \n" +
"@@@@@@@@@@@@@@@@@@@@@@@&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%#(((,,,..,,................,,*/(#%%%&&&&&@@@@@@@@@@@@@@@@@@@@%*.(%@#,.          .%@@@@#.   . \n" +
"@@@@@@@@@@@@@@@@@@@@@@&&&&@@@&&&&&%%&&&&&&@@@@@@@@@@@@@@@@@@@@@@&%##(/**,,,,,,,,,,,,,,..,,,,,/((##%%&&&&@@@@@@@@@@@@@@@@@(/%&@@@&(/#%(.          *@@@@/    . \n" +
"@@@@@@@@@@@@@@@@@@@@@&&&&&%%###############%&&&&&&@@@@@@@@@@@@@@@&&&%%#((//****,,,,*,,,,,,**/((#%%&&&@@@@@@@@@@@@@@/#@@@&,    .(@&@@&(,           @@@&(,   . \n" +
"@@@@@@@@@@@@@@@@@@@@@&&&&%%#(((((###%%%%%&&&&@@@@@@@@@@@@@@@@@@@@@@&&&%%%#(((/******,,,****//((#%&&@@@@@@@&*,#@@@@@@@@@@#.     /(.  ...           #@@,   . \n" +
"@@@@@@@@@@@@@@@@@@@@@@&&%%##(##%%%&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%#(((//*,.,.,..,**(#%&&@@@@@@&(*. .#@@@@@@@@%    ./*.                  (@@,.    \n" +
"@@@@@@@@@@@@@@@@@@@@@&&%%%####%&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%#((*,..     .*(#%&&&&&@@##(/,,,,/%@@@&&%(%/,                     ,@@@(,     \n" +
"@@@@@@@@@@@@@@@@@@@@@&&%%%%%%%&&@@@@@@@@@(//&@@@@@@(%@@@* ./&@@@@@@@@@@@@@@@@&&%#(*.        .*/#%&&%&@@@@@@@@&&&&&%#/**,*,..                      ,@@@*.     \n" +
"@@@@@@@@@@@@@@@@@@@@@&%%%%%%&&&@@@@@@@@&(*,,%@@@@@@@@@@&   .*((&@@@@@@@@@@@@@@&%(/*.         ,,(###%&@&&&&&&&%%%(((/*,.....                       ,&,      \n" +
"@@@@@@@@@@@@@@@@@@@@&&%%%%%%&&&@@@@@@@@@@#/,*(&@@@@@@@&,  ./((&@@@@@@@@@@@@@@@&&%#(,..         ,/(####%%&&&&&&%#((//*,,,....                       (#,       \n" +
"@@@@@@@@@@@@@@@@@@@@&&%%%%%%%&&&@@@@@@@@@@@@@@&@@@@@@@@@@@&&&&&&&@@@@@@@@@@@@@&&%#(*..          .,/###(#(((####((//**,,,.                         ,#*   .    \n" +
"@@&@@@@@@@@@@@@@@@@@@&%%%%%%#%%%%&&&&&&&&&&@@@@@@&&%%##(#(#%&&&&&&&@@@@@@@@&&&&&%#(*,.          ..,*/((((//,,,....                                 .  .*.    \n" +
"@@@@@@@@@@@@@@@@@@@@@&%%%%%%#####%%%%%%%%%%%%%%%%%%######%&&&%%##%&@@@@@@@&&&&&%#(/*,..                 ....                                      .  /*.  .. \n" +
"@@@@@&@@@@@@@@@@@@@@@&%%######((#####%%%%%%%########%%%%%%%##(((%&&@@@@&&&&&%%%%(/*,..                                                               ,.  ,*, \n" +
"@@@@@@@@@@@@@@@@@@@@@&%#######((/////(###%%%%%%%%%%%#(((//((((((%&&&&%%##%%####(/*,,..                                                                   (/, \n" +
"@@@@@@@&@@@@@@@@@@@@@&%######((/********,/*/***/******,,,,,**/((###((((/(#(((((/*,,..                                                                    ((* \n" +
"@@@@@@@&&@@@@@@@@@@@@@%######(//**,*,,,,,,,,,,,,,,*,,,,,,,***////////////((((/**,,..                                                                     *(* \n" +
"@@@@@@@@&&@@@@@@@@@@@@%#(((#((/*****,,,,,,,,,,,,,,,,,,,,,,**********//(//(///***,...                                                                     ##/ \n" +
"@@@@@@@@@&&@@@@@@@@@@@((((((/**,,,,,,,....,,,,,,,,,,...,,,,,,,,**/(((((///***,,...                                                                   .%&%( \n" +
"@@@@@@@@@@&&@@@@@@@@@@@#(//(((//**,,,,,,........................,,**/((((//***,,,..                                                                  .%@@&%# \n" +
"@@@@@@@@@@@&&&@@@@@@@@@%(/((((/**,,,.......  ....................,*/((#(((//**,,,...                                                              #&&&@@@& \n" +
"@@@@@@@@@@@@%#%&@@@@@@@%#//((//*,,,....         ....         ...,,*/(#%%%#(//*,,,...                                                             .&&&@@@@&%# \n" +
"@@@@@@@@@@@@%(#%%&@@@@@@%//////***,,,..                      ....,*/#%&%%%%#(//*,...                                                             .&&&@@@@& \n" +
"@@@@@@@@@@@@@@@#%%%&&@@@%(//(//*,,... .                       ...,*(#%%%%####(/*,...                                                             ,&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@&%#%&&@@&(//////*,...                         ..,**(%&%%(//(#(/,..                                                               ,&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@&&&&@(///***,....                        ..,*/(&/***/(/*,.                                                                /&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@%#(///**,,... .....                  ..,*/%&%/,,,****,,.                                                                (&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@((///**,,.......... ..         ...,,,,/#&%(,,..,,,,...                                                               .%&@@@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@&(#((///**,,...............    ...,*****(%&%(*.....,,,..                                                               *&@@@@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@###((///***,,,,,.,...,....,..,,,,****//#%&&%/*********...                      .                                      %@@@@@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@%##(((///***,,,,,,,,,,,*,**,*/(//**//(#%&&&%&&&@@&%#/,,..                ,#%#((,                                    @@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%####(((/(//*******/*/(/((###((((/////(#%&&&@@@@@@@@@&/,,..          .*****.                                      /@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%######((((///((((((((#%%%%###((//(/(##%%&&&&@@@@@@@@@%/,,,...     ..                                            &@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%###%##############%%%&&%%%%###(((((##%%&&&&&@@@@@@@@@@%#(/,,..,,,**,.                                         *@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%%%%%%%%%%%%#%%&&&&&@&&&&&&&&&&&%%%%%%%%&&&@@@@@@@@@@@@&&&@@&&%%%&&%%/.             ..                        *@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%%%%%%%%%%%%&&&&&@@@&&&@@@@@@@@@&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@&&&&&%#*...        ..,,,,,..                   &@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%%%%%%%%%%%&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&//*,.    ..,*(###(##(,.               (@@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%%%%%%%&%&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%#(**,...,,/(%&&&@&&%(/,....         (@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%&&&&&&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%&&&&&%#/,,/,.,,*(#%&@@@@@%#(,.....       (@@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%&&&&&&&&&&&@@@@@@@@@@@@@@@&&&&&&&&@@&@@@@&&&%%%%%%%%&%%%&(##((#/*,,,/,....*(#@@@@@@(*,....      (&@@@@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%&&&&&&&&&&&@@@@@@@&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@&&%&&&&&&&&&&&&&%%#(#(/**.,(@@@@@@@&(*,,...     (@@@@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%&&&&&&&&&&&&@@@@@@&&&%%&&&@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@&@@@@&&,  ,/(#%%%%%%%((*,,.. .   %&@@@@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&@@@&%%&&&&&&&&&@@@@@&&&%%%%%%&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%###(*.     ...,**//(#(//*,...      *%&&@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%&@@@@@@@&%%&&&&&&&&&&&@@@@&&&&%%%%%&&&&@@@@&&&%######(/(#(*,*/////*..... .  ..       ...,*****,.....    .  ,#&@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%@@@@@@@@@@&&&&&&&&&&&&&&@@@@@&&&%%%&&&&&&&&&&&&&&%#(/**,,,,,.....    ...,.....         ....,,,,.....       .   /%@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@%*&@&@@@@@@@@&@@&&&&&&&&&&&&@@@@&&&&%%&&&&&&&&&&&&&&&&%%##(****,,..   .**/**,,..           .............     .,,.   *&@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@( .%&&&&@@@@@&&@@@@@&&&&&&&&@@@@@@&&&&&&%&&&&&&&&&&&&&&&&&&&&&%%########(((/*,.....       ..............  ,****/**.   ,%&&&&&&&&&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@&.  (&&@@@@@@@@&@@@@@@@&&@&@@&&@&@@@@&&&&&&&&&&&&&&&&&&&&&&&&&&&&%%%#####(((//*,....     ...............   ,/(#####*.    ,/(##%%%#( \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@*   *&@@@@@@@@@&&@@@@@@@@@@@@@@&&&@@&&&&&&&&&&&&&&@@@@@@@@&&&&&&&&&&%%%%###(((/*,...................,,.    *%&&&&%%%/*           ., \n" +
"@@@@@@@@@@@@@@@@@@@@@@@&(    .%@@@@@@@@@&&&@@@@@@@@@@@@&&@&&&&&&&&&&&&&&&&&&&@@@@@@@@@@@@@@@&@&&&&%%##(*,,,,,,........,....,,,      ,#&&@@@@@@#              \n" +
"@@@@@@@@@@@@@@@@@@@@&&%,      (@@@@@@@@&&@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&&&&&&&&&&&@@&@@@@&&&&&&%%#((//**,,*,,,,,,,,,,,...,*,       .(%&&@@@@%.              \n" +
"@@@@@@@@@@@@@@&&%#(*.         *@@@@@@@@&&&@@@@@@@@@@@@@@@@@&&&@@&&@@&&&&&&&&&%%%%%&&&&&&&&&&%%##((/////****,,,,,,,,.....*.         *#%&&@@/                \n" +
"@@@@@@@@@&%(,.                ,@@@@@@@@@&@@@@@@@@@@@@@@@@@@@@@@&@&@@&@&&&&&&&&&&%%%%%%&%%&%%%#####(((((((////***,*,,,,,*,.           .(%%&.                  \n" +
"@@@@@&(,                     .(@@@@@@@@&@&&@@@@@@@@@@@@@@@@@@@@@&&@@@@@&&&&&&&&&&%%%%%%%%%%%####((((///////*****,*,,,,,*,             *#%,                   \n" +
"&&/.                         ,%@@@@@@@@&@&&&@@@@@@@@@@@@@@@@@@@@@&@&@&&@@@@@&&&&&&&%%%%%%%%##((((((/////********,,,,,**,              .#(                    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&*.                              %@@@@@@@@@@&@&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%%%%%###((((((/**//********,,,.                ,#.                    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&(*                                   ,@@@@@@@@@@@&&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&%%%%#####(#(((/////*/////,,                  *%/                    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@&(.                                        (@@@@@@@@@@@&&&&@@@@&@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%&%%%%#####///((((//*.                   /%#.                   \n" +
"@@@@@@@@@@@@@@@@@@@@@@&(.                                               *@@@@@@@@&&&&&&&&&@&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%%########(/..                    ,/                      \n" +
"@@@@@@@@@@@@@@@@@@%/.                                                     ,&@@@@@@@&&&&&&@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&%&%%%%%#(/,.                    .**                       \n" +
"@@@@@@@@@@@@@@%*                                                            #@@@@@&&&&&&&&&&&&&&@@@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&%%%#(,.... .. .            .*//.                        \n" +
"@@@@@@@@@&/                                                                  .&@@@@@&&&&&&@&&@@@@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%##(/,,.............       .*((,                           \n" +
"@@@@@,                                                                       %@@@@&&@@&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%##(///*,,.............. . ..,//,                              \n" +
"@&(,                                                                           .#@@&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%%#%#(((/**,,,..................                                   \n" +
"                                                                                 .#%&&&&@@@@@@@@@@@@@@&&&&&&@@@@@@&&&&&&&&&&&%&&&&&%%%%#((/***,,,,....,,,,,,,                                         \n" +
"                                                                                     (&&@@@@@@@&&@&@@@@&&&&&@@@@&&&&&&&&%&%%%%%%%%%%%####(//**,,,,,,,,,***.                                           \n" +
"                                                                                       (@@@@@@@@@@@@&&&@&&@@@&&&&&&&&%%%%%%%%%%#######((((//***,,,**/((*                                             " ;
var muhSmall = muhSmall.split("\n");

var muhBig = 
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@HELLO WORLD@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%&&%%%&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@HELLO WORLD@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@&&@@@&&%%##(/***////**/(&@@@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@@&&&@@&@@@@&&@&&&&&&&&&&&%%##(/*,,,,.    ..,/@@@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&%&%&%%%%&&@@@@@@@@@@@@@@@@@@@@@@@@&&@@&@@@@@&&&&######(((((/*,,..         .%@@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@&&&&&&%%%%%%%%%%&%&&&@&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@&&%####((((((((//*,..            ,(@@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&%%%&&%%%%###%%%&%%&&&&&&&&&@@@@@@@@@@@&%&%%%&%((((((//*/*/**,,.....              .%@@@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&@&&@@@&&&&&&&&%%%%%#####(((((((###(######%%&&&@@@@&&%%%%%#/****,*,,......                        .%&@@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&@&&&&&&%%%#####((((((/////////((/((((((###%%&%%%#(/****,..,...                               ,(#@@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&&&&&&%%%%%%####(((///////******,****,****////*///*,.,........              ..,(%%##%#*.         ,*&@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&&%%&%%&%%%######(((///*,,,,,,,,,,.....,,,.,,,,,,......                    ,/%&@@&&%%%&&%#((*,,      .@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&%%&%%%%%%%%%%####(((/////////*,,,,........................                 ..,(%&@@@@@@@&&/,.             #@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&%%%%%%%%%%%%%###((/////*****,,,............................           ..,*/%@@@@@@@@@@&&%(,                 *@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&@@@@@@@&&&%%#((////**,,,,.......... ....  ....................,,,/*,#%&@@@@@@@@@@@&(,.                     %@@@@@@@(/#% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&@@@@@@@@@@@@@@@@@&%%##(//**,,,,........ ........................,,//(#%#%&@@@@@@@@@@%#(,..                      #@@@@@@@ .(/ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@&&&%%#((/***,,.........................,,*((###&%%@@@@@@@@@@&&&@@@@@@@&@&&%(*.            ,@@@@@@/  ,, \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%#(((,,,..,,................,,*/(#%%%&&&&&@@@@@@@@@@@@@@@@@@@@%*.(%@#,.          .%@@@@#.   . \n" +
"@@@@@@@@@@@@@@@@@HELLO WORLD@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&@@@&&&&&%%&&&&&&@@@@@@@@@@@@@@@@@@@@@@&%##(/**,,,,,,,,,,,,,,..,,,,,/((##%%&&&&@@@@@@@@@@@@@@@@@(/%&@@@&(/#%(.          *@@@@/    . \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%###############%&&&&&&@@@@@@@@@@@@@@@&&&%%#((//****,,,,*,,,,,,**/((#%%&&&@@@@@@@@@@@@@@/#@@@&,    .(@&@@&(,           @@@&(,   . \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%%#(((((###%%%%%&&&&@@@@@@@@@@@@@@@@@@@@@@&&&%%%#(((/******,,,****//((#%&&@@@@@@@&*,#@@@@@@@@@@#.     /(.  ...           #@@,   . \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%##(##%%%&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%#(((//*,.,.,..,**(#%&&@@@@@@&(*. .#@@@@@@@@%    ./*.                  (@@,.    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%%####%&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%#((*,..     .*(#%&&&&&@@##(/,,,,/%@@@&&%(%/,                     ,@@@(,     \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%%%%%%&&@@@@@@@@@(//&@@@@@@(%@@@* ./&@@@@@@@@@@@@@@@@&&%#(*.        .*/#%&&%&@@@@@@@@&&&&&%#/**,*,..                      ,@@@*.     \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%%%%&&&@@@@@@@@&(*,,%@@@@@@@@@@&   .*((&@@@@@@@@@@@@@@&%(/*.         ,,(###%&@&&&&&&&%%%(((/*,.....                       ,&,      \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%%%%%&&&@@@@@@@@@@#/,*(&@@@@@@@&,  ./((&@@@@@@@@@@@@@@@&&%#(,..         ,/(####%%&&&&&&%#((//*,,,....                       (#,       \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%%%%%%%&&&@@@@@@@@@@@@@@&@@@@@@@@@@@&&&&&&&@@@@@@@@@@@@@&&%#(*..          .,/###(#(((####((//**,,,.                         ,#*   .    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&@@@@@@@@@@@@@@@@@@&%%%%%%#%%%%&&&&&&&&&&@@@@@@&&%%##(#(#%&&&&&&&@@@@@@@@&&&&&%#(*,.          ..,*/((((//,,,....                                 .  .*.    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%%%%#####%%%%%%%%%%%%%%%%%%######%&&&%%##%&@@@@@@@&&&&&%#(/*,..                 ....                                      .  /*.  .. \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&@@@@@@@@@@@@@@@&%%######((#####%%%%%%%########%%%%%%%##(((%&&@@@@&&&&&%%%%(/*,..                                                               ,.  ,*, \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%#######((/////(###%%%%%%%%%%%#(((//((((((%&&&&%%##%%####(/*,,..                                                                   (/, \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&@@@@@@@@@@@@@&%######((/********,/*/***/******,,,,,**/((###((((/(#(((((/*,,..                                                                    ((* \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@@@@%######(//**,*,,,,,,,,,,,,,,*,,,,,,,***////////////((((/**,,..                                                                     *(* \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@@@%#(((#((/*****,,,,,,,,,,,,,,,,,,,,,,**********//(//(///***,...                                                                     ##/ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@@((((((/**,,,,,,,....,,,,,,,,,,...,,,,,,,,**/(((((///***,,...                                                                   .%&%( \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@@#(//(((//**,,,,,,........................,,**/((((//***,,,..                                                                  .%@@&%# \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&@@@@@@@@@%(/((((/**,,,.......  ....................,*/((#(((//**,,,...                                                              #&&&@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%#%&@@@@@@@%#//((//*,,,....         ....         ...,,*/(#%%%#(//*,,,...                                                             .&&&@@@@&%# \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%(#%%&@@@@@@%//////***,,,..                      ....,*/#%&%%%%#(//*,...                                                             .&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@<abbr title=\"Mr ROBOT anyone?\">FSOCIETY</abbr>@@@@@@@@@@@@@@@@@@@@@@@@@@@@@#%%%&&@@@%(//(//*,,... .                       ...,*(#%%%%####(/*,...                                                             ,&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%#%&&@@&(//////*,...                         ..,**(%&%%(//(#(/,..                                                               ,&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&@(///***,....                        ..,*/(&/***/(/*,.                                                                /&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%#(///**,,... .....                  ..,*/%&%/,,,****,,.                                                                (&&&@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@((///**,,.......... ..         ...,,,,/#&%(,,..,,,,...                                                               .%&@@@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&(#((///**,,...............    ...,*****(%&%(*.....,,,..                                                               *&@@@@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@###((///***,,,,,.,...,....,..,,,,****//#%&&%/*********...                      .                                      %@@@@@@@@& \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%##(((///***,,,,,,,,,,,*,**,*/(//**//(#%&&&%&&&@@&%#/,,..                ,#%#((,                                    @@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%####(((/(//*******/*/(/((###((((/////(#%&&&@@@@@@@@@&/,,..          .*****.                                      /@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%######((((///((((((((#%%%%###((//(/(##%%&&&&@@@@@@@@@%/,,,...     ..                                            &@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%###%##############%%%&&%%%%###(((((##%%&&&&&@@@@@@@@@@%#(/,,..,,,**,.                                         *@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%%%%%%%%%%%%#%%&&&&&@&&&&&&&&&&&%%%%%%%%&&&@@@@@@@@@@@@&&&@@&&%%%&&%%/.             ..                        *@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%%%%%%%%%%%%&&&&&@@@&&&@@@@@@@@@&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@&&&&&%#*...        ..,,,,,..                   &@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%%%%%%%%%%%&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&//*,.    ..,*(###(##(,.               (@@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%%%%%%%&%&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%#(**,...,,/(%&&&@&&%(/,....         (@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%%%&&&&&&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%&&&&&%#/,,/,.,,*(#%&@@@@@%#(,.....       (@@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%&&&&&&&&&&&@@@@@@@@@@@@@@@&&&&&&&&@@&@@@@&&&%%%%%%%%&%%%&(##((#/*,,,/,....*(#@@@@@@(*,....      (&@@@@@@@@@@@@@@@@% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%%%&&&&&&&&&&&@@@@@@@&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@&&%&&&&&&&&&&&&&%%#(#(/**.,(@@@@@@@&(*,,...     (@@@@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%&&&&&&&&&&&&@@@@@@&&&%%&&&@@@@@@@@@@@@@@@@@@@@@@@@&&@@@@@@@@@@&@@@@&&,  ,/(#%%%%%%%((*,,.. .   %&@@@@@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&@@@&%%&&&&&&&&&@@@@@&&&%%%%%%&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%###(*.     ...,**//(#(//*,...      *%&&@@@@@@@@@@@@@@ \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%&@@@@@@@&%%&&&&&&&&&&&@@@@&&&&%%%%%&&&&@@@@&&&%######(/(#(*,*/////*..... .  ..       ...,*****,.....    .  ,#&@@@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%%@@@@@@@@@@&&&&&&&&&&&&&&@@@@@&&&%%%&&&&&&&&&&&&&&%#(/**,,,,,.....    ...,.....         ....,,,,.....       .   /%@@@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@%*&@&@@@@@@@@&@@&&&&&&&&&&&&@@@@&&&&%%&&&&&&&&&&&&&&&&%%##(****,,..   .**/**,,..           .............     .,,.   *&@@@@@@@@@&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@( .%&&&&@@@@@&&@@@@@&&&&&&&&@@@@@@&&&&&&%&&&&&&&&&&&&&&&&&&&&&%%########(((/*,.....       ..............  ,****/**.   ,%&&&&&&&&&% \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&.  (&&@@@@@@@@&@@@@@@@&&@&@@&&@&@@@@&&&&&&&&&&&&&&&&&&&&&&&&&&&&%%%#####(((//*,....     ...............   ,/(#####*.    ,/(##%%%#( \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@*   *&@@@@@@@@@&&@@@@@@@@@@@@@@&&&@@&&&&&&&&&&&&&&@@@@@@@@&&&&&&&&&&%%%%###(((/*,...................,,.    *%&&&&%%%/*           ., \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&(    .%@@@@@@@@@&&&@@@@@@@@@@@@&&@&&&&&&&&&&&&&&&&&&&@@@@@@@@@@@@@@@&@&&&&%%##(*,,,,,,........,....,,,      ,#&&@@@@@@#              \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%,      (@@@@@@@@&&@@@@@@@@@@@@@@@@@@&&&&&&&&&&&&&&&&&&&&&&&&@@&@@@@&&&&&&%%#((//**,,*,,,,,,,,,,,...,*,       .(%&&@@@@%.              \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&%#(*.         *@@@@@@@@&&&@@@@@@@@@@@@@@@@@&&&@@&&@@&&&&&&&&&%%%%%&&&&&&&&&&%%##((/////****,,,,,,,,.....*.         *#%&&@@/                \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&%(,.                ,@@@@@@@@@&@@@@@@@@@@@@@@@@@@@@@@&@&@@&@&&&&&&&&&&%%%%%%&%%&%%%#####(((((((////***,*,,,,,*,.           .(%%&.                  \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&(,                     .(@@@@@@@@&@&&@@@@@@@@@@@@@@@@@@@@@&&@@@@@&&&&&&&&&&%%%%%%%%%%%####((((///////*****,*,,,,,*,             *#%,                   \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&/.                         ,%@@@@@@@@&@&&&@@@@@@@@@@@@@@@@@@@@@&@&@&&@@@@@&&&&&&&%%%%%%%%##((((((/////********,,,,,**,              .#(                    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&*.                              %@@@@@@@@@@&@&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%%%%%###((((((/**//********,,,.                ,#.                    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&(*                                   ,@@@@@@@@@@@&&&&&&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&&&&%%%%#####(#(((/////*/////,,                  *%/                    \n" +
"@@@@@@@@@@@@@@@@@@@@@@@@@@@&(.                                        (@@@@@@@@@@@&&&&@@@@&@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%&%%%%#####///((((//*.                   /%#.                   \n" +
"@@@@@@@@@@@@@@@@@@@@@@&(.                                               *@@@@@@@@&&&&&&&&&@&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%%%########(/..                    ,/                      \n" +
"@@@@@@@@@@@@@@@@@@%/.                                                     ,&@@@@@@@&&&&&&@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&%&%%%%%#(/,.                    .**                       \n" +
"@@@@@@@@@@@@@@%*                                                            #@@@@@&&&&&&&&&&&&&&@@@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&%%%#(,.... .. .            .*//.                        \n" +
"@@@@@@@@@&/                                                                  .&@@@@@&&&&&&@&&@@@@&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%##(/,,.............       .*((,                           \n" +
"@@@@@,                                                                       %@@@@&&@@&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&&%##(///*,,.............. . ..,//,                              \n" +
"@&(,                                                                           .#@@&&&@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@&&&&%%#%#(((/**,,,..................                                   \n" +
"                                                                                 .#%&&&&@@@@@@@@@@@@@@&&&&&&@@@@@@&&&&&&&&&&&%&&&&&%%%%#((/***,,,,....,,,,,,,                                         \n" +
"                                                                                     (&&@@@@@@@&&@&@@@@&&&&&@@@@&&&&&&&&%&%%%%%%%%%%%####(//**,,,,,,,,,***.                                           \n" +
"                                                                                       (@@@@@@@@@@@@&&&@&&@@@&&&&&&&&%%%%%%%%%%#######((((//***,,,**/((*                                             " ;
var muhBig = muhBig.split("\n");
var big = muhBig[20] + "\n";
var small = muhSmall[20] + "\n";
var x = 21;
function insertLine() {
    if(x==80) return ;
    big += muhBig[x] + "\n";
    small += muhSmall[x] + "\n";
    
    x++;
} 
function update() {
    if ($(window).width() > 600)
    document.getElementById("face").innerHTML = big ;
    else 
    document.getElementById("face").innerHTML = small ;
}
window.onscroll = function() {insertLine(); update();}
window.onresize = function() {update(); } 